unit U16;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, FileCtrl, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    flb1: TFileListBox;
    Timer1: TTimer;
    Panel2: TPanel;
    Image2: TImage;
    Label2: TLabel;
    Label1: TLabel;
    Label3: TLabel;
    Panel1: TPanel;
    Image1: TImage;
    DLB: TDirectoryListBox;
    flb2: TFileListBox;
    procedure Label3MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Label1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Label2MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Image2MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure FormCreate(Sender: TObject);
    procedure Label2Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure Label3Click(Sender: TObject);
    procedure Label1Click(Sender: TObject);
    procedure DLBChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  i,J,p:integer;
  down:Boolean;
  S:sTRING;
  CMD:ARRAY[0..255] OF CHAR;

implementation

{$R *.DFM}

procedure TForm1.Label3MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
label3.font.color:=cllime;
end;

procedure TForm1.Label1MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
label1.font.color:=cllime;
end;

procedure TForm1.Label2MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
label2.font.color:=cllime;
end;

procedure TForm1.Image2MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
label1.font.color:=clgray;
label2.font.color:=clgray;
label3.font.color:=clgray;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
p:=5;
flb1.directory:='\a';
flb2.directory:='\mpeg\li';
DOWN:=TRUE;
i:=-p;

end;

procedure TForm1.Label2Click(Sender: TObject);
begin
close;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
IF DOWN THEN
BEGIN
i:=i+p;
image1.picture.loadfromfile('\a\'+flb1.items[I]);
if i=720-p then i:=-p;
END;

end;

procedure TForm1.Label3Click(Sender: TObject);
begin
IF LABEL3.CAPTION='VIEW' THEN
BEGIN

FLB2.VISIBLE:=TRUE;
DLB.VISIBLE:=TRUE;
LABEL3.CAPTION:='HIDE';
END
ELSE
BEGIN

FLB2.VISIBLE:=FALSE;
DLB.VISIBLE:=FALSE;
LABEL3.CAPTION:='VIEW';
END

end;

procedure TForm1.Label1Click(Sender: TObject);
begin
fOR J:=0 TO FLB2.ITEMS.COUNT-1 DO
IF FLB2.SELECTED[J] THEN
BEGIN
STRPCOPY(CMD,'\MPEG\DMPEG -l0 '+DLB.DIRECTORY+'\'+FLB2.ITEMS[J]);
WINEXEC(CMD,sw_SHOWNORMAL);
END;

end;

procedure TForm1.DLBChange(Sender: TObject);
begin
FLB2.DIRECTORY:=DLB.DIRECTORY;
end;

end.
